
   /**
    * UserEntityBean -- Base Account Bean
    * This class must extend
    * javax.ejb.SessionBean and implement
    * the methods in this interface as well as providing
    * the implementation of the business methods.
    *
    */

package ejbay.account;

import ejbay.auction.*;
import java.util.Collection;

import javax.ejb.*;   
import javax.ejb.EntityContext;
import javax.ejb.CreateException;

public abstract class UserEntityBean implements EntityBean, UserEntityLocal{

    public void setEntityContext( EntityContext context ) {
	this.context = context;
    }
    public void unsetEntityContext() {
	this.context = null;
    }
    public void ejbStore() {}
    public void ejbLoad() {}  
    public void ejbActivate() {}
    public void ejbPassivate() {}
    public void ejbRemove() {}
    protected EntityContext context;

    static final boolean verbose = false;

    public java.lang.Integer ejbCreate(UserObj user) throws CreateException
    {
        //this.setUserID(new Integer(1000));
	this.setEmailAdd(user.getEmailAdd());
	this.setFirstName(user.getFirstName());
	this.setLastName(user.getLastName());
	this.setPassword(user.getPassword());
	this.setCredCardName(user.getCredCardName());
	this.setCreditCardNum(user.getCreditCardNum());
	this.setCCExpDate(user.getCCExpDate());
	this.setTransID(new Integer(-1));
	
	//must return primary key, because it's autoGen'd
	return this.getUserID(); 
    }
    public void ejbPostCreate(UserObj user)throws CreateException
    {
    }
    
    public UserObj toUserObj(){
	
	UserObj user = new UserObj(
				   this.getEmailAdd(),
				   this.getFirstName(),
				   this.getLastName(),
				   this.getPassword(),
				   this.getCredCardName(),
				   this.getCreditCardNum(),
				   this.getCCExpDate()
				   );

	user.setUserID(this.getUserID().intValue());
	
	return user;
    };

    public abstract java.lang.Integer getUserID();
    public abstract void setUserID(java.lang.Integer userID);
//    public abstract Integer getUserID();
    public abstract void setEmailAdd(String emailAdd);
    public abstract String getEmailAdd();
    public abstract void setFirstName(String firstName);
    public abstract String getFirstName();
    public abstract void setLastName(String lastName);
    public abstract String getLastName();
    public abstract void setPassword(String password);
    public abstract String getPassword();
    public abstract void setCredCardName(String credCardName);
    public abstract String getCredCardName();
    public abstract void setCreditCardNum(String creditCardNum);
    public abstract String getCreditCardNum();
    public abstract void setCCExpDate(String ccExpDate);
    public abstract String getCCExpDate();
    
    public abstract void setTransID(java.lang.Integer transID);
    public abstract java.lang.Integer getTransID();

    public abstract Collection getAuctions();
    public abstract void setAuctions(Collection auctions);
    public abstract Collection getBids();
    public abstract void setBids(Collection bids);
}
