package ejbay.auction;

import java.io.Serializable;
import java.lang.IllegalArgumentException;

/**
 * ideas loosly borrowed from 2005 team 1 Account.java
 * @author phs 
 */

public class BidObj implements java.io.Serializable {
    /**
     *Matches this sql database stuff:
     *
     *mysql> describe Bids;
     * +-----------+--------------+------+-----+---------+----------------+
     * | Field     | Type         | Null | Key | Default | Extra          |
     * +-----------+--------------+------+-----+---------+----------------+
     * | BidID     | int(11)      | NO   | PRI | NULL    | auto_increment |
     * | AuctionID | int(11)      | NO   |     |         |                |
     * | UserID    | int(11)      | NO   |     |         |                |
     * | Amount    | decimal(8,2) | NO   |     |         |                |
     * | BidDate   | datetime     | NO   |     |         |                |
     * +-----------+--------------+------+-----+---------+----------------+
     */

    /**
     * BidID is autogenerated by the database, so don't create it outselves,
     * however, there must be an infrastructure for accepting it since we do
     * queries, etc
     */
     private Integer BidID;
     private Integer AuctionID;
     private Integer UserID;
     private Double Amount;
     private String BidDate;
    
    /**
     * base creation format
     *   
     * @param AuctionID not permitted to 0
     * @param UserID not permitted to be 0
     * @param CurrentBid not permitted to be < 0"
     * @param BidDate not permitted to be null or \"\"

     */
    public BidObj(Integer bidID,
                      Integer auctionID,
                      Integer userID,
                      Double amount,
                      String bidDate) 
	throws IllegalArgumentException
    {
	/*consistancy checking -- pulled.  Causes exceptions in multiphase processing
	if(bidID == null || bidID.intValue() < 0)
	    throw new IllegalArgumentException("bidID");
	if(auctionID == null || auctionID.intValue() < 0)
	    throw new IllegalArgumentException("auctionID");
	if(userID == null || userID.intValue() < 0)
	    throw new IllegalArgumentException("userID");
	if(amount == null || amount.doubleValue() < 0.0)
	    throw new IllegalArgumentException("amount");
	if(bidDate == null || bidDate.equals(""))
	    throw new IllegalArgumentException("bidDate");
	*/
 
	//place holder for value not yet placed in database
        BidID = bidID;
        AuctionID = auctionID;
        UserID = userID;
        Amount = amount;
        BidDate = bidDate;
    }

    public String toString(){
	return 
	    "[BidId = " + BidID +
	    ", AuctionID = " + AuctionID +
	    ", UserID = " + UserID + 
            ", Amount = " + Amount +                
	    ", BidDate = " + BidDate +"]";
    }

    public void setBidID(Integer bidID){
	BidID = bidID;
    }
    public Integer getBidID(){
	return BidID;
    }
    
    public void setAuctionID(Integer auctionID){
	AuctionID = auctionID;
    }
    public Integer getAuctionID(){
	return AuctionID;
    }

    public void setUserID(Integer userID){
	UserID = userID;
    }
    public Integer getUserID(){
	return UserID;
    }

    public void setAmount(Double amount){
	Amount = amount;
    }
    public Double getAmount(){
	return Amount;
    }

    public void setBidDate(String bidDate){
	BidDate = bidDate;
    }
    public String getBidDate(){
	return BidDate;
    }
}
