package ejbay.Probe;

import java.util.*;
import java.io.*;

public class Probe {
    
    /**
     * Create a new instance of a probe and write any
     * output to the file name specified.
     *
     * @param probeName The name of the file to write
     *                  this probe to
     */
    public Probe(String probeName)
    {
        fileName = "temp/" + probeName;
        output = new ArrayList();
    }

    /**
     * Record a message to the array list being stored
     * on the heap that represents this probe's data
     *
     * @param msg The message to record
     */
    public void record(String msg)
    {
        output.add(msg + "\n");
    }

    /**
     * Write this probe to the data file specified in the
     * constructor.
     */
    public void output()
    {        
        try
        {
            FileWriter outFile = new FileWriter(fileName, true);

            for(int i = 0; i < output.size(); i++)
            { 
                outFile.write((String)output.get(i));
            }

            outFile.close();
        }catch(java.io.IOException ioe){
            System.out.println("Error writting to file " + fileName);
        }
    }

    ArrayList output;
    String fileName;    
}
