/*
 * RepCommonData.java
 *
 * Created on March 25, 2006, 4:50 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package ejbay.replication;


/**
 *
 * @author phs
 */
public class RepCommonData {
    private String serverName;
    private String serverPort;
    private Process proc;
    private boolean isPrimaryServer;   
    private boolean booted;

    public RepCommonData() {
        serverName = null;
        serverPort = null;
        proc = null;
        isPrimaryServer = false;
    }
    
    public RepCommonData(String sName, String sPort, Process pHandle) {
        this.serverName = sName;
        this.serverPort = sPort;
        this.proc = pHandle;
        this.isPrimaryServer = false;
    }
    
    public RepCommonData(String sName, String sPort, Process pHandle, boolean isPrimary) {
        this.serverName = sName;
        this.serverPort = sPort;
        this.proc = pHandle;
        this.isPrimaryServer = isPrimary;
        this.booted = false;
    }

    /**
     * Do an equals on the replication data by checking to see if the server name
     * and server port match
     *
     * @param temp The replica to compare this object with
     * @return True if these replicas are equal, false otherwise
     */
    public boolean equals(RepCommonData temp)
    {
        if(!(this.serverName).equalsIgnoreCase(temp.getServerName()))
            return false;
        if(!(this.serverPort).equalsIgnoreCase(temp.getServerPort()))
            return false;

        return true;
    }

    public String toString()
    {
        String str;

        if(this.isPrimaryServer)
            str = "(Primary) ";
        else
            str = "(Backup ) ";

        str += "Server on " + this.serverName + ":" + this.serverPort;

        if(this.proc != null && !this.booted)
        {
            str += "\t";
            if(str.length() <= 53)
                str += "\t";
            str += "**Booting**";
        }

        return str;
    }
    
    public String getServerName() {return this.serverName;}
    public String getServerPort() {return this.serverPort;}
    public Process getServerProc() {return this.proc;}
    public boolean isPrimary() {return this.isPrimaryServer;}
    public boolean isBooted() {return this.booted;}
   
    public void setServerName(String sName) {this.serverName = sName;}
    public void setServerPort(String sPort) {this.serverPort = sPort;}
    public void setServerPID(Process pHandle) {this.proc = pHandle;}
    public void setPrimary() {this.isPrimaryServer = true;}
    public void setBackup() {this.isPrimaryServer = false;}
    public void setBooted() {this.booted = true;}
    
}
